import json

import requests
class GPT4oMini:

    @classmethod
    def get_ai_mini_early(cls, title):
        url = "http://aigc-api.cybertogether.net//aigc/dev/test/gpt"
        payload = json.dumps({
            "imageList": [],
            "model": "gpt-4o-mini-2024-07-18",
            "prompt": (
                "你是一个专业的标题分析师"
                "，请你通过视频标题来判断视频内容是否属于早安祝福内容，如果全部符合则返回“是”，如果有其中一个标准不符合则返回“否”"
                "早安祝福视频标题标准如下："
                    "1.标题中含有“早”、“早上好”、“早安”等带有早安祝福的字眼，则符合"
                    "2.标题中带有早安祝福含义，则符合"
                    "3.标题中含有日期的话，如：xx月xx日、xx月xx，则必须是北京时间当天的日期则符合"
                f"请严格按照示例输出，标题：{title}。"
            ),
            "responseFormat": {
                "type": "json_schema",
                "json_schema": {
                    "strict": True,
                    "name": "share_script_result",
                    "schema": {
                        "type": "object",
                        "properties": {
                            "是否": {
                                "type": "string",
                                "description": "是否"
                            }
                        },
                        "required": ["是否"],
                        "additionalProperties": False
                    }
                }
            }
        })
        headers = {'Content-Type': 'application/json'}
        try:
            response = requests.post(url, headers=headers, data=payload)
            response_data = response.json()

            data = json.loads(response_data.get('data', '{}'))
            new_title = data["是否"]
            return new_title
        except Exception as e:
            return "否"

if __name__ == '__main__':
    title = GPT4oMini.get_ai_mini_early("❤️早上好！今天是3月3日！想得起的，都是真情。合得来的，都是缘分。处得好的，都有共识。经常问候的，都是最难忘的人")
    print(title)